﻿using System;
namespace gpt_api.Core.Dtos.Dto
{
    /// <summary>
    /// 分页input
    /// </summary>
    public class PagedInput
    {
        /// <summary>
        /// 当前页数
        /// </summary>
        public int PageIndex { get; set; } = 1;
        /// <summary>
        /// 每页显示条数
        /// </summary>
        public int PageSize { get; set; } = 20;
        /// <summary>
        /// 排序字段(包含字段和排序方式,用单空格分割)
        /// </summary>
        public string OrderByField { get; set; }
        /// <summary>
        /// 模糊查询参数
        /// </summary>
        public string KeyWord { get; set; }
    }

}
