﻿using Furion;
using System.Reflection;

namespace gpt_api.Web.Entry;

public class SingleFilePublish : ISingleFilePublish
{
    public Assembly[] IncludeAssemblies()
    {
        return Array.Empty<Assembly>();
    }

    public string[] IncludeAssemblyNames()
    {
        return new[]
        {
            "gpt_api.Application",
            "gpt_api.Core",
            "gpt_api.Web.Core"
        };
    }
}