﻿


using gpt_api.Application.System.user.dto;

namespace gpt_api.Application.System.user
{
    /// <summary>
    /// 用户接口
    /// </summary>
	[ApiDescriptionSettings(ApiGroupConsts.System, Module = ApiGroupConsts.System)]
	public class UserService : IDynamicApiController
    {
        private readonly IRepository<SysUserEntiy> _sysUserRepository;
        private readonly IRepository<SysRoleEntity> _sysRoleRepository;
        private readonly IRepository<SysUserRoleEntity> _sysUserRoleRepository;
        public UserService(IRepository<SysUserEntiy> sysUserRepository, IRepository<SysRoleEntity> sysRoleRepository, IRepository<SysUserRoleEntity> sysUserRoleRepository)
        {
            _sysUserRepository = sysUserRepository;
            _sysRoleRepository = sysRoleRepository;
            _sysUserRoleRepository = sysUserRoleRepository;
        }
        
        /// <summary>
        /// 登陆接口
        /// </summary>
        /// <returns></returns>
        [UnitOfWork]
        [HttpGet]
        public async Task<ICollection<UserOut>> Login()
        {
            var list = await _sysUserRepository.GetListAsync<UserOut>();
            return list;
        }

        [UnitOfWork]
        public async Task Add()
        {
            /*
             *
             这里怎么返回一个空值
             */

            await _sysUserRepository.GetListAsync<UserOut>();
        }
    }
}

